EZJAIL.CONF(5)

NAME
ezjail.conf - configuration file for ezjail script

DESCRIPTION
The file ezjail.conf contains settings that control the operation of the ezjail rc(8) script. It is also read by the ezjail-admin utility to figure out where it should perform its actions. Its path is set at installation time to /usr/local/etc/ezjail.conf, with an example file installed at /usr/local/etc/ezjail.conf.sample.

This file is really a shell script that is sourced by the ezjail-admin command at run-time. “(str)” denotes a string; it should be enclosed in quotes if it contains space. “(bool)” notes a boolean, whose possible values are “YES” and “NO”.

PATH OPTIONS

ezjail_jaildir (str)
    Location of jail root directories.
    Default: /usr/jails.

ezjail_jailtemplate (str)
    Location of template jail used to create a new jail
    Default: ${ezjail_jaildir}/newjail.

ezjail_jailbase (str)
    Location of base jail, the one that is mounted to all jails
    Default: ${ezjail_jaildir}/basejail.

ezjail_sourcetree (str)
    Location of your copy of FreeBSD's source tree (refer to the ezjail-admin(8) utility for more information).
    Default: /usr/src.

ezjail_flavours_dir (str)
    Location of the flavours, where each directory is a different flavour.
    Default: ${ezjail_jaildir}/flavours.

ezjail_ftphost (str)
    This is where the install subcommand defaults to fetch its packages from.
    Default: ftp.freebsd.org.

ezjail_archivedir (str)
    This is the default archive location for the ezjail-admin archive command.
    Default: ${ezjail_jaildir}/ezjail_archives.

JAIL ADMIN OPTIONS

ezjail_default_execute (str)
    This is the default command executed in a jail by ezjail-admin console.
    Default: /usr/bin/login -f root.

ezjail_exec_start (str)
    The command to execute in a jail when starting it.
    Default: /bin/sh /etc/rc.

JAIL CREATION OPTIONS
Default options for newly created jails. Used by the ezjail-admin(1) utility. Be careful about disabling ezjail_mount_enable.

ezjail_mount_enable (bool)
    Controls whether /etc/fstab. hostname should be executed at jail startup time.
    Default: YES.

ezjail_devfs_enable (bool)
    Controls whether newly created jails are given a working /dev directory. (Refer to devfs(5) and jail(8) for more information).
    Default: YES.

ezjail_devfs_ruleset (str)
    Specifies which devfs ruleset should apply for newly created jails. (Refer to devfs(5) and jail(8) for more information).
    Default: devfsrules_jail.

ezjail_procfs_enable (bool)
    Controls whether newly created jails are given a working /proc directory. (Refer to procfs(5) and jail((8)) for more information).
    Default: YES.

ezjail_fdescfs_enable (bool)
    Controls whether newly created jails are given a working /dev/fd/ directory. (Refer to fdescfs((5)) and jail((8)) for more information).
    Default: YES.

ezjail_uglyperlhack (bool)
    Set to YES, if ezjail should provide a soft link from /usr/bin/perl to /usr/local/bin/perl in base jail.
    Default: YES.

ezjail_default_flavour (str)
    Controls which flavours should be used for newly created jails if none are given on the command line.
    Default: none.

ezjail_imagetype (one of simple, bde, eli, zfs)
    Type of jail to create when creating a jail with the -i flag without specifying the type explicitly.
    Default: simple

ZFS OPTIONS

ezjail_use_zfs (bool)
    Set to YES, if ezjail should manage basejail and newjail in a separate ZFS-datasets.
    Default: NO.

ezjail_use_zfs_for_jails (bool)
    Set to YES, if ezjail should manage all new jails in their own ZFS-datasets. To override that on the command line, use ezjail-admin create -c simple for image based jails or ezjail-admin create -c '' for non-image jails.
    Default: NO.

ezjail_jailzfs (str)
    The name of the parent ZFS-dataset which ezjail will use to create jails on. It will be mounted in ezjail_jaildir. Setting this will automatically enable ezjail managing jails in separate ZFS-datasets.
    Default: none.

ezjail_zfs_properties (str)
    Default properties ZFS will use for creating datasets. See zfs(1m) for details. ADVANCED, be very careful!
    Default: none.

ezjail_default_retention_policy (str)
    Policy for the ezjail-admin snapshot subcommand to keep older snapshots. See ezjail-admin(1) for details.
    Default: none.

FILES
/usr/local/etc/ezjail.conf
/usr/local/etc/rc.d/ezjail.sh

SEE ALSO
ezjail-admin(1), ezjail(5), jail(8), devfs(5), fdescfs(5), procfs(5).

AUTHOR
Dirk Engling <erdgeist@erdgeist.org>.

The man page is based on a draft by JoeB <joeb1@a1poweruser.com> and was rewritten by Frederic Perrin <frederic.perrin@resel.fr>.